<template>
  <Popup
    shown
    @close="close"
  >
    <template #title> Error </template>
    <template #default>{{ data.description }} </template>
  </Popup>
</template>

<script setup lang="ts">
import { ERROR_POPUP } from '~entities/popups';
import { usePopupsStore } from '~/stores/popups';
import { Popup } from '~entities/popups';

const store = usePopupsStore();
const data = computed(
  () => store.getPopupData(ERROR_POPUP) ?? { description: 'Unhandled error' },
);
const close = () => {
  store.hide(ERROR_POPUP);
};
</script>
